From ddd4bf6f7e757d8759b5fba1040223fabdb950f7 Mon Sep 17 00:00:00 2001
From: Carl Huang <cjhuang@codeaurora.org>
Date: Tue, 3 Dec 2019 16:48:57 +0200
Subject: [PATCH 045/124] ath11k: change bdf to elf type

On x86, it uses elf type bdf by default. Elf type is more flexible
from debug's perspective and firmware team suggests to use elf type
rather than bin type.

Tested-on: QCA6390 WLAN.HST.1.0.1-01230-QCAHSTSWPLZ_V2_TO_X86-1

Change-Id: Iad779a23ff119161e82e157c2c15fcbdbce2f942
Signed-off-by: Carl Huang <cjhuang@codeaurora.org>
Signed-off-by: Kalle Valo <kvalo@codeaurora.org>
---
 drivers/net/wireless/ath/ath11k/qmi.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/drivers/net/wireless/ath/ath11k/qmi.c b/drivers/net/wireless/ath/ath11k/qmi.c
index e230511..6a75870 100644
--- a/drivers/net/wireless/ath/ath11k/qmi.c
+++ b/drivers/net/wireless/ath/ath11k/qmi.c
@@ -1998,6 +1998,7 @@ static int ath11k_qmi_load_bdf_target_mem(struct ath11k_base *ab)
 
 	memset(&bd, 0, sizeof(bd));
 	ret = ath11k_core_fetch_bdf(ab, &bd);
+
 	if (ret) {
 		ath11k_warn(ab, "qmi failed to load bdf:\n");
 		goto out;
@@ -2014,7 +2015,6 @@ static int ath11k_qmi_load_bdf_target_mem(struct ath11k_base *ab)
 		req->total_size = bd.len;
 		req->seg_id_valid = 1;
 		req->data_valid = 1;
-		req->data_len = ATH11K_QMI_MAX_BDF_FILE_NAME_SIZE;
 		req->bdf_type = 1;
 		req->bdf_type_valid = 1;
 		req->end_valid = 1;
-- 
2.7.4

